Page MenuHomePhabricator

Resurrect logbot so we can leave a breadcrumb trails for incident reports, teammates, etc. [5 pts]
Closed, ResolvedPublic

Event Timeline

Milimetric raised the priority of this task from to Normal.
Milimetric updated the task description. (Show Details)
Milimetric added a project: Analytics-Backlog.
Milimetric added a subscriber: Milimetric.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 4:48 PM
kevinator added a subscriber: kevinator.EditedSep 14 2015, 5:17 PM

captures IRC chats and logs them. This would help us keep track of when things were deployed and why some actions were taken.
https://wikitech.wikimedia.org/wiki/Morebots

Milimetric renamed this task from Resurrect logbot so we can leave a breadcrumb trails for incident reports, teammates, etc. to Resurrect logbot so we can leave a breadcrumb trails for incident reports, teammates, etc. [5 pts].Sep 14 2015, 5:24 PM
Milimetric set Security to None.
Milimetric moved this task from Prioritized to Tasked on the Analytics-Backlog board.
madhuvishy edited projects, added Analytics-Kanban; removed Analytics-Backlog.
madhuvishy moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 240014 had a related patch set uploaded (by Madhuvishy):
Enable logging via stashbot in irc channel wikimedia-analytics

https://gerrit.wikimedia.org/r/240014

Change 240014 merged by Yuvipanda:
logstash: Enable logging via stashbot in irc channel wikimedia-analytics

https://gerrit.wikimedia.org/r/240014

Messages logged with !log in #wikimedia-analytics now show up here: https://tools.wmflabs.org/sal/analytics. This is picked up by stashbot.

kevinator closed this task as Resolved.Sep 22 2015, 4:09 PM